Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 653516 - Inkscape should not require deprecated GnomeVFS
Inkscape should not require deprecated GnomeVFS
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-15 11:27 EST by Nicola Soranzo
Modified: 2012-08-16 18:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:05:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 715215 None None None Never

  None (edit)
Description Nicola Soranzo 2010-11-15 11:27:47 EST
Description of problem:
GnomeVFS has been deprecated for 3 years. Inkscape still requires gnome-vfs2. Moreover, this is required for HAL removal:

http://fedoraproject.org/wiki/Features/HalRemoval

Version-Release number of selected component (if applicable):
inkscape-0.48.0-1.fc14.3

How reproducible:
Always

Steps to Reproduce:
1. rpm -qR inkscape | grep vfs
2.
3.
  
Actual results:
libgnomevfs-2.so.0 is required by inkscape

Additional info:
To drop the dependency, I suppose it should be sufficient to remove 2 lines from the .spec files:

34 BuildRequires:  gnome-vfs2-devel >= 2.0
163         --with-gnome-vfs        \
Comment 1 Nicola Soranzo 2011-02-04 11:27:16 EST
Ping?
Comment 2 Lubomir Rintel 2011-02-04 11:31:55 EST
Sorry for the delay.

I'm not sure if this is a wise thing to do -- wouldn't we loose functionality here if Inkscape was not carried over to gvfs? Or is there no porting needed?
Comment 3 Lubomir Rintel 2011-02-04 11:38:31 EST
Removed and rebuild triggered, so I don't delay this any more.
I'd still like the above question to be answered.

Thanks.
Comment 4 Nicola Soranzo 2011-02-07 09:27:03 EST
Hi Lubomir,
unfortunately you are right, after disabling GNOME-VFS support it is no longer possible to open remote files. It looks like that Inkscape was not ported to GVFS.
I can open a bug report at Inkscape's Launchpad and link it here for reference, while leaving this bug report open.
In the meanwhile probably it's better to re-enable the GNOME-VFS support.
What do you think?
Comment 5 Lubomir Rintel 2011-02-07 10:00:21 EST
Well, let us see what the users think -- keeping this open for a while and see if anyone complains for rawhide.
Comment 6 Nicola Soranzo 2011-02-08 10:29:39 EST
Ok, in the meantime I have asked upstream to port from GnomeVFS to GIO, see the linked Launchpad bug.
Comment 7 Máirín Duffy 2011-02-08 11:04:15 EST
Would this affect the open clipart import functionality? Or are those downloaded to /tmp by some other means and opened locally from /tmp?
Comment 8 Nicola Soranzo 2011-02-08 11:25:44 EST
(In reply to comment #7)
> Would this affect the open clipart import functionality? Or are those
> downloaded to /tmp by some other means and opened locally from /tmp?

"Import from Open Clip Art Library" disappeared from File menu in my inkscape build without GnomeVFS, so this functionality seems to be affected.
Comment 9 Máirín Duffy 2011-02-08 16:41:50 EST
@Nicola in the words of Darth Vader, "Noooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo!" :(
Comment 10 Lubomir Rintel 2011-02-09 02:55:42 EST
Máirín: http://nooooooooooooooo.com/

gnome-vfs enabled back; I'll take a look at what needs to be done to carry it over to gvfs.
Comment 11 Máirín Duffy 2011-02-10 14:42:17 EST
Phew thank you!!! You're the best!
Comment 12 Fedora End Of Life 2012-08-16 18:05:18 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.